Bug 724001 - Library needs partial RELRO support added
Library needs partial RELRO support added
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nspr (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Elio Maldonado Batiz
Aleš Mareček
:
Depends On:
Blocks: 805672
  Show dependency treegraph
 
Reported: 2011-07-21 13:26 EDT by Steve Grubb
Modified: 2012-03-21 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: nspr-4.8.8-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 805672 (view as bug list)
Environment:
Last Closed: 2011-12-06 07:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2011-07-21 13:26:04 EDT
Description of problem:
The nspr package contains libraries. We would like them to be built with
partial RELRO support as a security enhancement.

Additional info:
Partial RELRO requires these passed at link:
-Wl,-z,relro
Comment 9 errata-xmlrpc 2011-12-06 07:10:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1584.html

Note You need to log in before you can comment on or make changes to this bug.